Get campaign IDs with recent activity for an account
curl --request GET \
--url https://api.hubapi.com/email/public/v1/campaignsimport requests
url = "https://api.hubapi.com/email/public/v1/campaigns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/email/public/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"offset": "<string>",
"campaigns": [
{
"id": 123,
"appId": 123,
"appName": "<string>",
"lastUpdatedTime": 123
}
]
}{
"category": "<string>",
"correlationId": "<string>",
"message": "<string>",
"subCategory": "<string>",
"errors": [
{
"message": "<string>",
"in": "<string>",
"code": "<string>",
"subCategory": "<string>",
"context": {}
}
],
"context": {},
"links": {}
}Campaigns
Get campaign IDs with recent activity for an account
Return all campaign IDs sorted by recent activity associated with the HubSpot account. The campaign IDs are returned in descending order of most-recent activity.
GET
/
email
/
public
/
v1
/
campaigns
Get campaign IDs with recent activity for an account
Scope requirements
Scope requirements
Query Parameters
A key representing which page of results you would like
Limit the maximum number of results you would like returned.
Last modified on August 5, 2026
Was this page helpful?